### File

`modules/firebase-connector/src/authMethods/twitter.ts`

### Constructor

`constructor(firebase: any)`

### Methods

login
`login()`
Returns: `void`

### Properties

name
`name: `string` </bcode>`
Default value: `Twitter`

    import {AuthMethods, AuthProviders, AngularFire, FirebaseAuthState} from "angularfire2";
    import {AuthMethod} from "./auth-method";
    import {Injectable} from "@angular/core";
    @Injectable()
    export class TwitterAuth implements AuthMethod{

      name: string = 'Twitter';

      constructor(private firebase: AngularFire){
      }

      login(){
        return this.firebase.auth.login({
          provider: AuthProviders.Twitter,
          method: AuthMethods.Popup
        });
      }
    }

# results matching ""

# No results matching ""